#include "memory.h"
#include "conf_core.h"

void mem_nvm_init(void)
{
	CRITICAL_SECTION_ENTER();
	NVMCTRL->CTRLA.bit.RWS = CONF_CORE_MCLK_NVM_WAIT_STATE;
	CRITICAL_SECTION_LEAVE();
}

void mem_cache_init(void)
{
#if CORE_CONF_CMCC_ENABLE == 1

#endif
}

void mem_dma_init(void)
{
#if CORE_CONF_DMA_ENABLE
	CRITICAL_SECTION_ENTER();
	MCLK->AHBMASK.reg |= MCLK_AHBMASK_DMAC;
	CRITICAL_SECTION_LEAVE();
#endif
}

